> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thena.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get activity registry



## OpenAPI

````yaml get /api/v1/workflows/registry/activities
openapi: 3.0.0
info:
  title: Thena Platform
  description: The Thena Platform API description
  version: '1.0'
  contact: {}
servers:
  - url: https://workflow-app.thena.ai
security:
  - ApiKey: []
tags: []
paths:
  /api/v1/workflows/registry/activities:
    get:
      tags:
        - Workflows
      summary: Get activity registry
      parameters:
        - name: teamId
          required: true
          in: query
          description: The team ID
          schema:
            type: string
      responses:
        '200':
          description: Operation successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetActivityRegistryResponse'
        '401':
          description: User is not authenticated!
        '403':
          description: User does not have access to this resource!
        '404':
          description: Resource not found!
        '429':
          description: Too many requests!
        '500':
          description: Something went wrong!
        '503':
          description: This service/resource is currently unavailable.
components:
  schemas:
    GetActivityRegistryResponse:
      type: object
      properties:
        results:
          description: The results of the activity registry
          type: array
          items:
            $ref: '#/components/schemas/ActivityResponseDto'
      required:
        - results
    ActivityResponseDto:
      type: object
      properties:
        uid:
          type: string
          description: The unique identifier of the activity
        description:
          type: string
          description: The description of the activity
        name:
          type: string
          description: The name of the activity
        uniqueIdentifier:
          type: string
          description: The unique identifier of the activity
        version:
          type: number
          description: The version of the activity
        source:
          $ref: '#/components/schemas/ActivitySourceEnum'
        requestSchema:
          type: object
          description: The request schema of the activity
        responseSchema:
          type: object
          description: The response schema of the activity
        metadata:
          type: object
          description: The metadata of the activity
        compensationActivity:
          description: The compensation activity of the activity
          allOf:
            - $ref: '#/components/schemas/ActivityResponseDto'
      required:
        - uid
        - description
        - name
        - uniqueIdentifier
        - version
        - source
        - requestSchema
        - responseSchema
        - metadata
        - compensationActivity
    ActivitySourceEnum:
      type: string
      description: The source of the activity
      enum:
        - platform_app
        - registered_app
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: 'Enter your API key '

````